System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.ConnectionOrientedTransportBindingElement

This transport uses URIs of the form "net.pipe://hostname/path". Other URI components are optional.

The class is the starting point for creating a custom binding that implements the named pipes transport protocol. This transport is used for on-machine indigo1-to-indigo2 communication.

The indigo2 service model uses this class to create factory objects that implement the and interfaces. These factory objects then create and accept the channels that transmit SOAP messages using the named pipes protocol.

You configure the factories that this class creates by setting its properties, such as: .

You can also set properties on the base class, , such as: , , and . For a complete list of properties, see .

Finally, you can set properties on the base class of , which is , such as . For a complete list of properties, see .

Represents the binding element for the named pipe transport.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  This method is a copy constructor used to clone the binding element, and is exposed so that derived classes can implement .

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  This method can be used to create a channel factory of the specified type for sending messages based on the configuration of the transport binding element.

  Creates a channel factory of the specified type that can be used to create channels.

  Returns a channel factory of the specified type.

  Members that describe bindings, behaviors, contracts and other information required to create the channel factory. Type of channel factory to create.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  This method can be used to get a channel listener of the specified type for receiving messages based on the configuration of the named pipe binding element.

  Creates a channel listener of the specified type.

  Returns a channel listener of the specified type.

  Members that describe bindings, behaviors, contracts and other information required to create the channel factory. Type of channel listener to create.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  Creates a copy of the current binding element.

  Returns a copy of the current binding element.

- Property
  4.0.0.0
  System.ServiceModel.Channels.NamedPipeConnectionPoolSettings To be added. To be added.

  Gets a collection of connection pool settings.

- Method
  4.0.0.0
  T ReferenceTypeConstraint ``

  This method gets the specified object from the base class, or from one of that class's ancestors. The object returned is usually a collection of properties, for example an object that implements .

  Gets a specified object from the .

  The specified object from the , or null if the object isn't found.

  A . The object to get.
- Property
  4.0.0.0
  System.String To be added.

  This property is provided to enable binding validation against base addresses.

  Returns the URI scheme for the transport.